Subject: Re: [PATCH] gnu: Add sc-im

From: "jgart" <[email-masked]>
Date: Sun, 18 Apr 2021 00:32:46 +0000

I attached an updated patch also including Jack's suggestions.

Thank you Raghav for help with sanity debugging over xmpp.

prefix is not PREFIX ;)

all the best,

jgart

April 17, 2021 7:54 PM, "jgart" <[email-masked]> wrote:

> Attached is the updated patch with Ekaitz's suggestions. The linter is now a happy gnu!
> 
>> Also I wouldn't add the whole package in an independent file.
>> It may fit better in other of the categories.
> 
> I thought of that but I couldn't find a place I was happy with.
> 
> calcurse and visidata are two other packages that also have their own file.
> 
> Maybe these two packages can be merged in the future with sc-im?
> 
>> I'm not sure about all the compile flags
>> you set, you may be missing some interesting plugin support.
> 
> I left lua support out since that is an optional feature.
> 
> The sc-im package in nixpkgs also leaves it out:
> 
> https://github.com/NixOS/nixpkgs/blob/nixos-unstable/pkgs/applications/misc/sc-im/default.nix#L35
> 
> I'm waiting until sc-im has guile support. ;)
> 
> Let me know if there are any other compiler features you think should be included.
> 
> I left tmux as the clipboard. It is already set in the Makefile by default.
> 
> I'll probably inherit from this package and substitute* for xclip instead, locally.
> 
> Does upstream guix prefer two versions of this package (A version compiled with tmux support and a
> version compiled with xclip support)?
> 
> all the best,
> 
> jgart
> 
> ps
> 
> Ekaitz, Saludos desde Miami!
> 
> Vas a venir a el guix meetup el próximo sábado? Cambié la hora a una hora normal ;)
> 
> https://events.nixnet.services/events/27955ca1-0aee-4ec5-be20-48e6c45fd0f6
> 
> April 17, 2021 6:22 PM, "ElenQ Technology" <[email-masked]> wrote:
> 
>> Hey!
>> 
>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>> On Saturday, April 17, 2021 11:52 PM, jgart <[email-masked]> wrote:
>> 
>>> Hi Guix!
>>> 
>>> Attached is a patch for sc-im, a terminal based spreadsheet program providing a vim-like
>>> experience.
>>> 
>>> I constructed this package starting from a template provided by Ekaitz that I found below dating
>>> from over a year ago:
>>> 
>>> https://gitlab.com/ekaitz-zarraga/guix-packages/-/blob/master/sc-im.scm
>>> 
>>> I added Ekaitz as a co-author and added both of our copyrights to the top of the file.
>>> 
>>> This new version of sc-im is from 16 days ago.
>>> 
>>> I'm currently getting the following two linter warnings:
>>> 
>>> the source file name should contain the package name
>>> permanent redirect from https://github.com/andmarti1424/sc-im.git to
>>> https://github.com/andmarti1424/sc-im
>>> 
>>> Any suggestions for what I need to adjust to make those pass?
>>> 
>>> best regards,
>>> 
>>> jgart
>> 
>> I didn't expect this!
>> 
>> My original package was broken, but I left it in my repo so IDK
>> if taking that as a base was a good idea.
>> I was trying to package a more complete solution and I left
>> the package broken...
>> 
>> I'm taking a look to it.
>> 
>> The first issue related with the name of the package is this:
>> 
>> ```
>> guix/gnu/packages/sc-im.scm:41:14: [email-masked]: the source file name should contain the package
>> name
>> ```
>> 
>> In order to solve this you can use this in the origin desc:
>> 
>> ```
>> (file-name (git-file-name name version))
>> ```
>> 
>> This is going to clone the repo to an specific filename that
>> matches Guix's naming style and it's going to remove the
>> warning.
>> 
>> The second:
>> 
>> ```
>> gnu/packages/sc-im.scm:41:14: [email-masked]: permanent redirect from
>> https://github.com/andmarti1424/sc-im.git to https://github.com/andmarti1424/sc-im
>> ```
>> 
>> Just change the url by the other and you're done.
>> 
>> HTH!
>> 
>> Thanks for keeping my name there, but you can clear it with
>> no issue, this is all your merit, my man.
>> 
>> Best,
>> Ekaitz